<ion-content
  *transloco="let t"
  [fullscreen]="true"
  [ngClass]="{ 'modal-open': isModalOpen }"
  scroll-y="false"
>
  <lib-funfair-base-filter
    (modalWillDismiss)="onModalDismiss($event)"
    [isModalOpen]="isModalOpen"
    [rootPage]="initialRootPage"
    [rootParams]="initialRootParams"
  >
  </lib-funfair-base-filter>
  <div class="map-container">
    <lib-funfair-map
      #funfairMap
      (featureClick)="onFeatureClick($event)"
      (showCenterButtonChange)="onShowCenterButtonChange($event)"
    ></lib-funfair-map>
    <div class="navigate-main-map-button">
      <lib-custom-horizontal-button
        (buttonClick)="navigateToMainMap()"
        *ngIf="isOnline"
        [attr.aria-label]="t('feature_funfair.map.exit_map')"
        [buttonType]="customButtonType.button"
        [colorScheme]="customButtonColorScheme.strong"
        [endIcon]="'close'"
        [fullWidth]="false"
        [title]="t('feature_funfair.map.exit_map')"
      ></lib-custom-horizontal-button>
    </div>
    <div class="overlay-controls">
      <div class="bottom-controls">
        <div class="controls-container">
          <lib-funfair-filter-chip
            (openModal)="openFilterModal()"
            (openSearch)="openSearchModal()"
            (resetToAllCategories)="resetToAllCategories()"
            [currentState]="currentState"
            [ngClass]="{ 'modal-open-chip': isModalOpen }"
            [selectedCategoryNameKey]="selectedCategoryNameKey"
            [selectedCategoryName]="selectedCategory"
          ></lib-funfair-filter-chip>

          <lib-funfair-center-info-card
            (buttonClick)="onCenterButtonClick()"
            *ngIf="showCenterButton && !isModalOpen"
          ></lib-funfair-center-info-card>
        </div>
      </div>
    </div>
  </div>

  <ion-modal
    #searchModal
    [cssClass]="'map-modal'"
    [focusTrap]="false"
    [mode]="'ios'"
    [showBackdrop]="false"
    [translucent]="false"
  >
    <ng-template>
      <lib-funfair-search
        (closeClicked)="closeSearchModal()"
        (featureClicked)="searchPoiClicked($event)"
      ></lib-funfair-search>
    </ng-template>
  </ion-modal>
</ion-content>
